Subject: CCL:CCL Using Linux

From: Jochen Buehler <[email-masked]>
Date: Thu, 5 Mar 1998 14:16:51 +0100

Igor J. Barani writes:
 > Dear CCL Readers,
 > 
 > I have just recently installed Linux on a DEC Alpha and when I compile
 > several programs in fortran on it, they seem to compile to twice the
 > size and require 9 times as long to run than on DEC UNIX.  Do you have
 > any idea why this may be so and how I may be able to speed up the
 > processes?  Any suggestions would be greatly appreciated.  Thank you.

The standard gcc compiler as shipped with most Linux distributions
is not optimized for Alpha chips. If you want better performance
with fortran code you may want to have a look at egcs
at http://www.cygnus.com/egcs .
Egcs compiled binaries yield much better performance on Alphas.

        Regards

         Jochen

Jochen Buehler                  EMail:  [email-masked]
AG Prof. Dr. Daltrozzo                 [email-masked]
Fakultaet fuer Chemie           Phone: +49-7531-882094
Universitaet Konstanz           Fax:   +49-7531-883043